
ctools - Bug #1715

csiactdata relying on json module does not work on Python 2.5

02/25/2016 11:25 PM - Knödlseder Jürgen

Status: Closed Start date: 02/25/2016

Priority: Urgent Due date:  

Assigned To: Mayer Michael % Done: 50%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Apparently, the json module does not exist on Python 2.5 and earlier. The code should be adapted so that no error occurs when the

json module is absent.

I guess that also other "iact" scripts are affected that use the json module.

I know that Python 2.5 is quite old, but there are still a number of servers around that are running such an old Python version.

History

#1 - 02/25/2016 11:32 PM - Mayer Michael

Ok I wasn't aware of that. Are you suggesting to write an own parser of the json file instead?

#2 - 02/27/2016 12:53 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Target version set to 1.1.0

- % Done changed from 0 to 50

I implemented a work around that disables testing and importing of the IACT scripts for Python version 2.5 and older. I'm currently testing this. We

may add an information to the documentation that the IACT scripts only work for Python 2.6 and newer.

#3 - 06/30/2016 06:11 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

I added a warning in the User documentation, merged into devel.
